Subject: Re: [PATCH net-next v3] net: mvpp2: tai: warn once if we fail to update our timestamp

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 3 Jan 2025 09:08:22 +0000

On Fri, Jan 03, 2025 at 12:43:56AM -0800, Richard Cochran wrote:
> On Thu, Jan 02, 2025 at 04:26:04PM +0000, Russell King (Oracle) wrote:
> 
> > If we fail to read the clock, that will be because the hardware didn't
> > respond to our request to read it, which means the hardware broke in
> > some way. We could make mvpp22_tai_tstamp() fail and not provide
> > timestamps until we have successfully read the HW clock, but we would
> > still want to print a warning to explain why HW timestamps vanish.
> 
> Sure, keep the warning, but also block time stamp delivery.
> 
> > This is to catch a spurious failure that may only affects an occasoinal
> > attempt to read the HW PTP time. Currently, we would never know,
> > because the kernel is currently completely silent if that were to ever
> > happen.
> 
> Is the failure spurious, or is the hardware broken and won't recover?

I have absolutely no idea. I've never seen it happen.

That's why I think going further than I have (and as you are suggesting)
is totally overkill.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!